提交装箱信息
POST
/amzStaServer/openapi/inbound-packing/setPackingInformation如需获取提交装箱信息结果,请再额外调用查询异步任务状态接口,获取提交结果
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-packing/setPackingInformation | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填packageGroupingsarray<object>必填隐藏子属性
boxesarray<object>必填隐藏子属性
dimensionsobject隐藏子属性
heightnumber必填lengthnumber必填unitOfMeasurementstring必填widthnumber必填itemsarray<object>必填隐藏子属性
expirationstringlabelOwnerstring必填mskustring必填prepOwnerstring必填quantityinteger必填weightobject隐藏子属性
unitstring必填valuenumber必填packingGroupIdstringshipmentIdstringsidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-packing/setPackingInformation?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"packageGroupings": [{
"boxes": [{
"dimensions": {
"height": 3,
"length": 5,
"width": 5,
"unitOfMeasurement": "cm"
},
"items": [{
"expiration": "有效期",
"labelOwner": "AMAZON",
"msku": "msku",
"prepOwner": "AMAZON",
"quantity": 1
}],
"weight": {
"value": 1
}
}],
"packingGroupId": "包装组id:先装箱后分仓方式时必填;先分仓后装箱方式时无需填写",
"shipmentId": "货件id:先分仓后装箱方式时必填;分装箱后分仓方式时无需填写"
}],
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
errorMsgstring必填inboundPlanIdstring必填taskIdstring必填taskStatusstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": [],
"requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
"responseTime": "2024-11-28T14:04:46.069",
"data": {
"errorMsg": "错误信息",
"inboundPlanId": "亚马逊任务编号",
"taskId": "任务id",
"taskStatus": "任务状态"
}
}